[comment {-*- tcl -*- doctools}]
[vset FORMATNAME gif]
[vset FORMATFULLNAME {Graphics Interchange Format}]
[manpage_begin img-[vset FORMATNAME] n 2.1]

[include format-header.inc]

This handler provides new additional configuration options. See
section [sectref {Options}] for more detailed explanations.

[include format-middle.inc]

In addition the value of option [option -format] is treated as a list and may
contain any of the special options listed in section [sectref {Options}].

[include format-nopackage.inc]


[section {Notes}]

[list_begin enum]
[enum]
Chapter [emph "Multi-page Images"] of of the [package Img] manual page
describes the handling of images with multiple pages.

[list_end]


[section {Options}]

The handler provides the following options:

[list_begin definitions]

[def "[option -verbose] [arg bool]"]

This option is supported for reading and writing. Available since version 2.0.
[para]

If set to [const true], additional information about the read or written image
is printed to stdout. Default is [const false].


[def "[option -index] [arg integer]"]

This option is supported for reading only. Available since version 1.2.4.
[para]

Read the page at specified index. The first page is at index [const 0].
Default is [const 0].

[list_end]


[include format-footer.inc]
